
QGIS Application - Bug report #4315

"stretch histogram to full dataset" toolbar button  does not work with GRASS rasters

2011-09-24 03:46 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Tim Sutton

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14252

Description

If the button is clicked then the raster colormap disappear. It is not possible to recovery not even from the raster properties, style tab,

because the gray band is "lost".

Doing the stretching with the raster properties, style -> contrast enhancement -> stretch to min/max works correctly.

Tested on trunk on both Windows and Linux.

Associated revisions

Revision 8c16e631 - 2011-12-19 09:00 PM - Radim Blazek

use double instead of float for min/max values, fixes #4315

Revision d52ada5e - 2011-12-19 09:06 PM - Radim Blazek

use double instead of float for min/max values, fixes #4315

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-18 07:42 AM - Radim Blazek

Does master work for you?

I have opposite problem in master, stretch to full dataset works but local stretch does not.

#3 - 2011-12-19 12:04 PM - Radim Blazek

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"d52ada5e0d72e4d6eb8e109588f04812b0ef6c35".

#4 - 2011-12-19 12:11 PM - Radim Blazek
- Target version changed from Version 1.7.4 to Version 2.0.0

Use of float for min/max values was causing problems with Float64 datasets, especially if no data value was set to an extreme value.

Fixed in d52ada5e (master).
